package classes.holonControlUnit;

public class OptimizationManager {

	public enum OptimizationScheme {
		COMFORT, MIN_COST, ENERGY_CONSUMPTION, STABILITY, RECOVERY
	}
	
	private OptimizationScheme optimizationScheme;
	
	public OptimizationManager() {
		this.optimizationScheme = OptimizationScheme.COMFORT;
	}

	public OptimizationScheme getOptimizationScheme() {
		return optimizationScheme;
	}

	public void setOptimizationScheme(OptimizationScheme optimizationScheme) {
		this.optimizationScheme = optimizationScheme;
	}
	
	
}
